using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ServerTransferPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {        
        //Transfer();
        PassParemeters();
    }
    void Transfer()
    {
        Response.Write("ServerTransferPage1<br>");
        Server.Transfer("TransferPage.aspx");         
        Response.Write("ServerTransferPage2<br>");
    }
    void PassParemeters()
    {
        Response.Write("ServerTransferPage1<br>");
        if (Request.QueryString.Get("type") != null)
        {
            Server.Transfer("TransferPage.aspx");
        }
        Response.Write("ServerTransferPage2<br>");
    }
}
